# Installing an application...
import sys


def printUsage():
	print "Usage: wsadmin -f installSimpleApp.py pathToEAR"
	print "  where: pathToEAR      : Path to EAR file you want to install"
	print "Example : wsadmin -f installSimpleApp.py C:/IBM/WID61/pf/wps/bin/HelloWorldApp.ear"
	print ""


def doInstall():
	print "Path to EAR is:.."+ pathToEAR
	print "************************************************************"
	print "* Installing application"
	print "************************************************************"
	print AdminApp.install(pathToEAR)

	print "Saving Configuration"
	AdminConfig.save()
	print "Starting application"
	gServer = AdminConfig.showAttribute(AdminConfig.list('Server'),"name")
	print "Found Server:.."+gServer
	appManager= AdminControl.queryNames('type=ApplicationManager,process='+gServer+',*')
	print appManager
	AdminControl.invoke(appManager, 'startApplication', 'HelloWorldApp')
	print "Finished....!"



if len(sys.argv) < 1 or len(sys.argv) > 1:
	sys.stderr.write("Invalid number of arguments\n")
	printUsage()
	sys.exit(101)	
elif len(sys.argv) == 1:
			pathToEAR = sys.argv[0]
			doInstall()	



	







