# Uninstall an application
import sys


def printUsage():
	print "Usage: wsadmin -f uninstallSimpleApp.py AppName"
	print "  where: AppName      : Name of the application to install"
	print ""


def doUninstall():

	print "Stopping " + AppName + "application"
	gServer = AdminConfig.showAttribute(AdminConfig.list('Server'),"name")
	print "Found Server:.."+gServer
	appManager= AdminControl.queryNames('type=ApplicationManager,process='+gServer+',*')
	print appManager
	AdminControl.invoke(appManager, 'stopApplication', AppName)
	
	print "************************************************************"
	print "* Uninstalling application"
	print "************************************************************"
	
	AdminApp.uninstall(AppName)

	print "Saving Configuration"
	AdminConfig.save()

	print "Finished............."

if len(sys.argv) < 1 or len(sys.argv) > 1:
	sys.stderr.write("Invalid number of arguments\n")
	printUsage()
	sys.exit(101)	
elif len(sys.argv) == 1:
	AppName = sys.argv[0]
	doUninstall()	



